import React from "react";
export const FormValidate = ({ errors, children }) => {
    const renderChildren = (children) => {
        return React.Children.map(children, (child) => {
            if (!React.isValidElement(child)) {
                return child;
            }
            if (child.props.name) {
                const fieldName = child.props.name;
                const fieldNameValid = `${fieldName}Valid`;
                const errorMessage = errors[fieldNameValid];
                return (React.createElement("div", null,
                    React.cloneElement(child, child.props),
                    errorMessage && (React.createElement("div", { key: `error-${fieldName}`, style: { color: "red" } }, errorMessage))));
            }
            if (child.props.children) {
                return React.cloneElement(child, {
                    ...child.props,
                    children: renderChildren(child.props.children),
                });
            }
            return child;
        });
    };
    return React.createElement("div", null, renderChildren(children));
};
//# sourceMappingURL=form-validations.js.map